### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-category-filter/ecl-category-filter/ecl-category-filter.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-category-filter`
styles | `:host { display: block; }`
templateUrl | `./ecl-category-filter.component.html`

### Index

###### Properties

- className
- eclCategoryFilterItemsAll
- eclCategoryList
- role

###### Methods

- getCssClasses

###### Inputs

- currentItemId
- class
- e2eAttr

###### HostBindings

- attr.role
- class.ecl-category-filter

### Constructor

`constructor(differs: IterableDiffers)`

Parameters :

Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

currentItemId
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'navigation'`

class.ecl-category-filter
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Type : `boolean`
Default value : `true`
Decorators : `@HostBinding('class.ecl-category-filter')`

eclCategoryFilterItemsAll
Type : `QueryList<EclCategoryFilterItemComponent>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

eclCategoryList
Type : `EclCategoryFilterListComponent`
Decorators : `@ContentChild(undefined)`

role
Type : `string`
Default value : `'navigation'`
Decorators : `@HostBinding('attr.role')`

# results matching ""

# No results matching ""